Elive

  • Status Unconfirmed
  • Percent Complete
    0%
  • Task Type Bug Report
  • Category Installed Mode
  • Assigned To No-one
  • Operating System All
  • Severity Medium
  • Priority Very Low
  • Reported Version 2.x (dev before 3.0)
  • Due in Version Undecided
  • Due Date Undecided
  • Votes
  • Private
Attached to Project: Elive
Opened by Juan D. Rodríguez - 2018-04-01

FS#683 - Unable to install Jetbrains IDE

The installation process of any Jetbrains IDE ends in error. This installation works on Ubuntu, Kali, Arch, and it is very straightforward.

Error log:

Exception in thread “main” java.lang.UnsupportedClassVersionError: com/intellij/idea/Main : Unsupported major.minor version 52.0

      at java.lang.ClassLoader.defineClass1(Native Method)
      at java.lang.ClassLoader.defineClass(ClassLoader.java:803)
      at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
      at java.net.URLClassLoader.defineClass(URLClassLoader.java:442)
      at java.net.URLClassLoader.access$100(URLClassLoader.java:64)
      at java.net.URLClassLoader$1.run(URLClassLoader.java:354)
      at java.net.URLClassLoader$1.run(URLClassLoader.java:348)
      at java.security.AccessController.doPrivileged(Native Method)
      at java.net.URLClassLoader.findClass(URLClassLoader.java:347)
      at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
      at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:312)
      at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
      at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)

This occurs after unpacking zip files and running the install script.

2018-09-30 : A task closure has been requested. Reason for request: it's just about updating java. if i'm not mistaken, debian 7 supports java 7 out of the box, but it's not so hard updating to java 8 with a few tricks. No reasons to keep this in the bug report list, we all knbow that elive needs to be updated to java 8
Stefano Lugli commented on 14.09.2018 18:57

you should try to upgrade java to a newer version:
Unsupported major.minor version 52.0
version 52 means Java se 8, so i suppose the meaning of this error is "you're using a too old version of java".
https://www.2daygeek.com/install-oracle-java-jdk-jre-7-8-9-on-debian/# This tutorial may fix your problem (install java 9).
P.S.:
i'm not sure if java 9 is supported under debian wheezy, i think it is. In case it wasn't, you need to find an older versione of jetbrains ide which supports java 8. OR you may move to netbeans, i actually found jetbrains ides pretty much messy, and not so powerful... and that's enough i think since they even need a paid license!

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing